Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.
Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.
API used for registering and managing OAuth 2.0 client applications. See the "Authentication" section above for more information. To authorize API requests to project44 for an API integration, first your client application must be registered with project44, which will issue your application a client id and secret. These credentials can then be used to generate bearer tokens, which can be included on all other API requests to authorize your client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".
An admin user (with Movement user role "Customer Admin") must use HTTP Basic Authentication with this API to manage client applications. Basic Authentication is deprecated for all other APIs, besides token generation, in favor of passing the access token generated via OAuth 2.0.
API for OAuth 2.0 token generation. See the "Authentication" section above for more information. Once your client application is registered, you can use the token generation endpoint to authenticate with your application's client id and secret in exchange for a bearer token to be included on all other API requests to authenticate as that client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".
To generate an access token, you may authenticate your client application by providing its client id and secret either in the body of the request or in the form of HTTP Basic Authentication (but you may not use both ways in the same request).
A suggestion is defined as a value which has existed at some point in time for the given field type in any shipment visible to the tenant performing the call.
Suggestions are sorted such that the most relevant results will be at the top, and any equally relevant results are sorted alphabetically.
The target field for which to retrieve suggestions.
Optional - intended to further narrow the search scope when dealing with key-value pairs.
For example, when searching with fieldType = ATTRIBUTE_VALUE, setting this to "WAREHOUSE" will return suggestions only for attributes where the key/name is "WAREHOUSE".
curl -i -X POST \ https://na12.api.project44.com/services/unified-search/v1/suggestions \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "fieldType": "ATTRIBUTE_KEY", "fieldName": "string", "limit": 1, "query": "string" }'
{ "suggestions": [ "string" ] }